@charset  'UTF-8';

@font-face {
    font-family: 'math-font';
    src: url(fonts/mathematics_boredom/Mathematics\ Boredom.ttf) format('truetype');
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    font-family: Arial, Helvetica, sans-serif;
}

canvas{
    display: block;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 0;
}

.container, .container-game{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); 
  z-index: 10;  
  background: rgba(0, 0, 0, 0.5);
  color: white;
  padding: 20px 40px;
  border-radius: 12px;
  text-align: center;
  backdrop-filter: blur(5px); 
  border: 2px solid white;
  width: 100%;
  max-width: 1000px;
}

.container > h1{
    font-family: 'math-font';
    font-size: 7em;
    margin-bottom: -10px;
}

.container > h2{
    display: block;
    font-size: 1em;
    margin-bottom: 30px;
    letter-spacing: 3px;
    font-weight: bolder;
}

.container > a{
    display: block;
    width: 50%;
    margin: auto;
    text-decoration: none;
    letter-spacing: 5px;
    font-size: 2em;
    color: white;
    border: 2px solid white;
    padding: 5px;
}

.container > a:hover, .loser > a:hover, .win > a:hover{
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(255, 244, 244, 0.349);
}

.container-game > h1{
    font-size: 5em;
}

.container-game > button{
    margin-left: 5px;
    width: 40px;
    height: 40px;
    background-color: rgba(148, 241, 148, 0.808);
    box-shadow: 2px 2px 2px 2px rgba(85, 214, 113, 0.459);
    transform: translateY(12px);
}

.container-game img{
    display: block;
    height: auto;
    width: 100%;
    margin: auto;
}

#calc{
    border: 2px solid rgba(255, 255, 255, 0.315);
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 5px;
}

#resposta {
  max-width: 190px;
  padding: 0.875rem;
  font-size: 1rem;
  border: 1.5px solid #000;
  border-radius: 0.5rem;
  box-shadow: 2.5px 3px 0 #000;
  outline: none;
  transition: ease 0.25s;
  margin-bottom: 20px;
}

#resposta:focus {
  box-shadow: 5.5px 7px 0 rgba(255, 255, 255, 0.219);
}

.objetivo{
    position: fixed;
    top: 15%;
    left: 50%;
    transform: translate(-50%, 0%); 
    z-index: 11;  
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 20px 40px;
    border-radius: 12px;
    text-align: center;
    backdrop-filter: blur(5px); 
    border: 2px solid rgba(25, 143, 211, 0.801);
    box-shadow: 2px 2px 2px 2px rgba(42, 97, 214, 0.651);
    letter-spacing: 2px;
    width: 90%;
    max-width: 700px;
}

.loser, .win{
    position: fixed;
    display: none;
    width: 400px;
    height: 320px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); 
    z-index: 11;  
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 20px 40px;
    border-radius: 12px;
    text-align: center;
    backdrop-filter: blur(10px); 
    border: 2px solid white;
}

.loser > h1, .win > h1{
    margin-bottom: 30px;
    font-size: 3em;
}

.loser > h2, .win > h2{
    margin-bottom: 30px;
}

.loser > a, .win > a{
    display: block;
    width: 100%;
    margin: auto;
    text-decoration: none;
    letter-spacing: 5px;
    font-size: 1.5em;
    color: white;
    border: 2px solid white;
    margin-bottom: 30px;
    padding: 5px;
}

.win{
    height: 360px;
}

footer{
    position: fixed;
    letter-spacing: 5px;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 10;  
    margin: auto;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 20px 40px;
    border-radius: 12px;
    text-align: center;
    backdrop-filter: blur(2px);
}

footer > a{
    color: white;
}

/*responsividade*/
@media (max-width: 700px){
    .container-game > h1{
        font-size: 1.7em;
    }
}
